GuideLab Docs

Upload a user avatar

Upload a new avatar image. Defaults to the authenticated user; organization owners and admins may pass `userId` for a non-owner member of the active organization. Replaces any existing avatar. Accepts JPEG, PNG, WebP, or GIF up to 5MB.

POST
/user/avatar

Upload a new avatar image. Defaults to the authenticated user; organization owners and admins may pass userId for a non-owner member of the active organization. Replaces any existing avatar. Accepts JPEG, PNG, WebP, or GIF up to 5MB.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

userId?string

Response Body

application/json

curl -X POST "https://example.com/user/avatar"
{  "image": "string"}
Empty
Empty
Empty
Empty
Empty